|  | Home · All Classes · Modules

# Qt.WindowStates Class Reference
[QtCore module]

### Methods

- __init__ (self, WindowStates)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- WindowStates __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, WindowStates f)
- WindowStates __iand__ (self, int mask)
- int __int__ (self)
- WindowStates __invert__ (self)
- WindowStates __ior__ (self, WindowStates f)
- WindowStates __ixor__ (self, WindowStates f)
- bool __ne__ (self, WindowStates f)
- WindowStates __or__ (self, WindowStates f)
- WindowStates __or__ (self, int f)
- WindowStates __xor__ (self, WindowStates f)
- WindowStates __xor__ (self, int f)

## Detailed Description

WindowState may be used whenever WindowStates is expected.

## Method Documentation

### WindowStates.__init__ (self, WindowStates)

### WindowStates.__init__ (self, int)

### WindowStates.__init__ (self)

### WindowStates WindowStates.__and__ (self, int mask)

### int WindowStates.__bool__ (self)

### bool WindowStates.__eq__ (self, WindowStates f)

### WindowStates WindowStates.__iand__ (self, int mask)

### int WindowStates.__int__ (self)

### WindowStates WindowStates.__invert__ (self)

### WindowStates WindowStates.__ior__ (self, WindowStates f)

### WindowStates WindowStates.__ixor__ (self, WindowStates f)

### bool WindowStates.__ne__ (self, WindowStates f)

### WindowStates WindowStates.__or__ (self, WindowStates f)

### WindowStates WindowStates.__or__ (self, int f)

### WindowStates WindowStates.__xor__ (self, WindowStates f)

### WindowStates WindowStates.__xor__ (self, int f)